# RhodeCode VCSServer provides access to different vcs backends via network.
# Copyright (C) 2014-2023 RhodeCode GmbH
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA

import os

__version__ = ''


def get_version():
    global __version__
    if __version__:
        return __version__

    here = os.path.abspath(os.path.dirname(__file__))
    ver_file = os.path.join(here, "VERSION")
    with open(ver_file, "rt") as f:
        version = f.read().strip()

    __version__ = version
    return version

# link to config for pyramid
CONFIG = {}

# Populated with the settings dictionary from application init in
#
PYRAMID_SETTINGS = {}
